Package org.apache.sysds.runtime.compress.utils

# Class DblArrayCountHashMap

java.lang.Object
org.apache.sysds.runtime.compress.utils.ACountHashMap<DblArray>
org.apache.sysds.runtime.compress.utils.DblArrayCountHashMap

All Implemented Interfaces:
  `Cloneable`

public final class DblArrayCountHashMap extends ACountHashMap<DblArray>

## Constructor Summary

Constructors
Constructor
Description
`DblArrayCountHashMap()`
`DblArrayCountHashMap(int init_capacity)`

## Method Summary

Modifier and Type
Method
Description
`DblArrayCountHashMap`
`clone()`

### Methods inherited from class org.apache.sysds.runtime.compress.utils.ACountHashMap

`extractValues, get, getC, getId, getMostFrequent, getOrDefault, increment, increment, increment, increment, reset, size, sortBuckets, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DblArrayCountHashMap

public DblArrayCountHashMap()

### DblArrayCountHashMap

public DblArrayCountHashMap(int init_capacity)

## Method Details

### clone

public DblArrayCountHashMap clone()